<?php
/**
 * Ce fichier contient les fonctions de service nécessitées par le plugin Cache Factory.
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Renvoie la configuration spécifique des caches de Contours.
 *
 * @param string $plugin Identifiant qui permet de distinguer le module appelant qui peut-être un plugin comme le
 *                       noiZetier ou un script. Pour un plugin, le plus pertinent est d'utiliser le préfixe.
 *
 * @return array Tableau de la configuration des caches.
 */
function contours_cache_configurer(string $plugin) : array {
	// Initialisation du tableau de configuration avec les valeurs par défaut du plugin Cache.
	return [
		'geodata' => [
			'racine'          => '_DIR_VAR',
			'sous_dossier'    => false,
			'nom_obligatoire' => ['type', 'pays', 'service'],
			'extension'       => '.json',
			'securisation'    => false,
			'serialisation'   => false,
			'decodage'        => true,
			'separateur'      => '-',
			'conservation'    => 3600 * 24 * 7
		]
	];
}
